Description: Disable tests which attempt to use the network
 The buildd documentation states that most of them have no network access
 available, and a package's build+test process must not attempt to use the
 network or assume that any network interface is available.
Author: Daniel Swarbrick <dswarbrick@debian.org>
Forwarded: not-needed
Last-Update: 2022-09-20
--- a/cluster/tls_transport_test.go
+++ b/cluster/tls_transport_test.go
@@ -74,7 +74,6 @@ func TestFinalAdvertiseAddr(t *testing.T
 	}{
 		{bindAddr: localhost, bindPort: 9094, inputIp: "10.0.0.5", inputPort: 54231, expectedIp: "10.0.0.5", expectedPort: 54231},
 		{bindAddr: localhost, bindPort: 9093, inputIp: "invalid", inputPort: 54231, expectedError: "failed to parse advertise address \"invalid\""},
-		{bindAddr: "0.0.0.0", bindPort: 0, inputIp: "", inputPort: 0, expectedIp: "random"},
 		{bindAddr: localhost, bindPort: 0, inputIp: "", inputPort: 0, expectedIp: localhost},
 		{bindAddr: localhost, bindPort: 9095, inputIp: "", inputPort: 0, expectedIp: localhost, expectedPort: 9095},
 	}
